/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package fntd.access;

import ij.gui.ImageCanvas;
import java.awt.Rectangle;
import java.awt.event.MouseEvent;
import static java.awt.event.MouseEvent.BUTTON1;
import java.awt.event.MouseListener;

/**
 *
 * @author greilich
 */
public class FNTDmouseListener implements MouseListener {

    ImageCanvas ic;
    FNTDkeyListener kl;
    int x, y;

    public FNTDmouseListener(ImageCanvas ic) {
        this.ic = ic;
    }

    @Override
    public void mouseClicked(MouseEvent me) {
        double xC = me.getX();
        double yC = me.getY();
        
        if (me.isShiftDown()) {
            if (me.getButton() == BUTTON1) {
                System.out.println("Track dazu");
            } else {
                System.out.println("Track weg");
            }
        } else {
            if (me.getButton() == BUTTON1) {
                ic.zoomIn((int) xC, (int) yC);
            } else {
                ic.zoomOut((int) xC, (int) yC);
            }
        }
    }

    @Override
    public void mousePressed(MouseEvent me) {
        x = me.getX();
        y = me.getY();
    }

    @Override
    public void mouseReleased(MouseEvent me) {
        int dx = x - me.getX();
        int dy = y - me.getY();

        if ((dx == 0) || (dy == 0)) {
            return;
        }

        double magnification = ic.getMagnification();
        dx = (int) Math.round((double) dx / magnification);
        dy = (int) Math.round((double) dy / magnification);

        Rectangle r = ic.getSrcRect();

        if (dx < 0) {
            if (r.x + dx < 0) {
                r.x = 0;
            } else {
                r.x += dx;
            }

        } else {
            if (r.x + r.width + dx > ic.getWidth()) {
                r.x = ic.getWidth() - r.width;
            } else {
                r.x += dx;
            }
        }

        if (dy < 0) {
            if (r.y + dy < 0) {
                r.y = 0;
            } else {
                r.y += dy;
            }

        } else {
            if (r.y + r.height + dy > ic.getHeight()) {
                r.y = ic.getHeight() - r.height;
            } else {
                r.y += dy;
            }
        }
        ic.setSourceRect(r);
        ic.repaint();
    }

    @Override
    public void mouseEntered(MouseEvent me) {
    }

    @Override
    public void mouseExited(MouseEvent me) {
    }

}
