package fntd.io;

import ij.ImagePlus;
import ij.io.Opener;
import java.io.OutputStream;
import java.io.PrintStream;

import org.imagearchive.lsm.reader.Reader;

/**
 *
 * @author greilich
 */
public class OpenImage {

    public static ImagePlus open(String fileName) {
        Opener opener = new Opener();
        String path = opener.getDir(fileName);
        String file = opener.getName(fileName);
        if (path.isEmpty()) {
            path = "." + System.getProperty("file.separator");
        }

        // Try formats:  TIFF, BMP, DICOM, FITS, PGM, GIF or JPRG
        // Use ImageJ opener first, suppress warning "Unsupported format..." by
        // created a dummy stream that does nothing
        PrintStream originalStream = System.out;
        PrintStream dummyStream = new PrintStream(new OutputStream() {
            @Override
            public void write(int b) {
            }
        });
        System.setOut(dummyStream);
        ImagePlus imp = new ImagePlus(path + file);
        System.setOut(originalStream);

        // Try LSM
        if (imp.getHeight() == 0 && imp.getWidth() == 0) {
            Reader r = new Reader();
            imp = r.open(path, file, false, false);
            if (imp.getHeight() == 0 && imp.getWidth() == 0) {
                System.out.println("Cannot open image. Problem with image format.");
                return (null);
            }
        }

        // Convert all RGB-images types to 32bit GRAY
//        if ((imp.getType() != ImagePlus.COLOR_256) || (imp.getType() == ImagePlus.COLOR_RGB)) {
//            ImageConverter ic = new ImageConverter(imp);
//            ic.convertToGray32();
//        }

        imp.setOpenAsHyperStack(true);
        return (imp);
    }
}
