/*
 * Copyright (C) 2014 Steffen Greilich
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package fntd.plugins;

import fntd.io.FXR700Importer;
import ij.ImagePlus;
import ij.plugin.*;

/**
 * Reads content of the output directory from a FXR700RG "Massive Scan" run.
 * Stores the images according to user settings into a hyperstack with
 * dimensions: tiles scanned frames in x,y on a detector slices scanned frames
 * in z on a detector channels fluorescence (APD) and reflected (PD) image frame
 * detectors
 *
 * @author greilich
 */
public class ImportFXR700Data_ implements PlugIn {

    @Override
    public void run(String arg) {

        ImagePlus[] resImg = FXR700Importer.run();
        if (resImg == null) {
            return;
        }

        for (int i = 0; i < resImg.length; i++) {
            resImg[i].show();
        }
    }

}
