package fntd.tracking;

/**
 * Extension of the MOSAIC linkerOptions class. Contains extra options used for both
 * linking of particles and relinking of trajectories.
 * 
 * @author Jasper Kouwenberg
 */
public class FNTDlinkerOptions extends mosaic.core.particleLinking.linkerOptions
{
    /**
     * Intensity weight factor
     */
    public float l_i = 1.0f;

    /**
     * Velocity weight factor
     */
    public float l_v = 1.0f;

    /**
     * Angle weight factor
     */
    public float l_a = 1.0f;

    /**
     * Radius of the spot detection. For m0, m2 normalization
     */
    public float drift = 3.0f;

    /**
     * Maximum angle between the velocity of particles/trajectories
     */
    public float max_angle = 20.0f;

    /**
     * Use the velocity angle of the whole track in the cost function
     */
    public int angle_history = 3;

    /**
     * Relink maximum cost modifier
     */
    public float relink_cost_factor = 0.1f;

    /**
     * Maximum distance for relinking
     */
    public float relink_distance = 40.0f;
}
