FNTD.find.tracks <- function(jimg, 
                             link.range = 2, 
                             displacement = 10, 
                             drift = 3,
                             weight.distance = 1.0,
                             weight.intensity = 1.0,
                             weight.velocity = 1.0,
                             weight.angle = 1.0,
                             max_angle = 20.0,
                             angle_history = 3,
                             relink = FALSE,
                             relink.cost_factor = 0.1,
                             relink.distance = 40){
  
  if(class(jimg) != "FNTDjImage"){
    stop("Object jimg has to be of class \"FNTDjImage\".")
  }
  
  if(is.jnull(jimg@tracks)){
    stop("No track information available yet, run \"FNTD.find.tracks\" or similar before.")
  }
  jimg@tracks <- J("fntd/tracking/FNTDtracks",
                   "linkParticles",
                   jimg@tracks,
                   as.integer(link.range),
                   as.integer(displacement),
                   as.numeric(drift),
                   as.numeric(weight.distance),
                   as.numeric(weight.intensity),
                   as.numeric(weight.velocity),
                   as.numeric(weight.angle),
                   as.numeric(max_angle),
                   as.integer(angle_history),
                   as.logical(relink),
                   as.numeric(relink.cost_factor),
                   as.numeric(relink.distance))
  
  return(jimg)
} 