FNTD.get.mask <- function(jimg, radius, critical.distance = NULL){
  
  if(class(jimg) != "FNTDjImage")
    stop("Object jimg has to be of class \"FNTDjImage\".")
  
  if(is.null(critical.distance)){
    critical.distance <- 2*radius + 1
    cat("Auto-setting critical distance to ", critical.distance, " for given radius of ", radius, ".\n")
  }
  
  return(new("FNTDjImage",
             imagePlus = J("fntd/tracking/FNTDtracks",
                           "toMask",
                           jimg@imagePlus, 
                           jimg@tracks,
                           as.numeric(radius),
                           as.numeric(critical.distance)),
             tracks 	 = jimg@tracks))
}