FNTD.get.proc.track.length <- function(trackspots,
                                       voxel.size = list(x.um = .1,
                                                         y.um = .1,
                                                         z.um = .1)) {
  
  trackspots$length = rep(0,nrow(trackspots))
  
  ## Fit line on first 5 trackspots
  fit.x   <- summary(fastLm(x * voxel.size$x.um ~ zpos, trackspots[1:5,]))
  fit.y   <- summary(fastLm(y * voxel.size$y.um ~ zpos, trackspots[1:5,]))
  
  ## Calculate distance from surface to first trackspot
  trackspots$length[1] = trackspots$zpos[1] * sqrt(1 + fit.x$coefficients[2,1]^2 + fit.y$coefficients[2,1]^2)
  
  for (i in 2:dim(trackspots)[1]) {
    trackspots$length[i] = trackspots$length[i-1] + sqrt(voxel.size$x.um^2*(trackspots$x[i] - trackspots$x[i-1])^2 + 
                                                         voxel.size$y.um^2*(trackspots$y[i] - trackspots$y[i-1])^2 +
                                                         (trackspots$zpos[i] - trackspots$zpos[i-1])^2)
  }
  
  return (trackspots)
}