FNTD.get.tracks <- function(jimg){
  
  if(class(jimg) != "FNTDjImage")
    stop("jimg must be of class \"FNTDjImage\".")
  
  if(jimg@tracks == .jnull())
    stop("No track information available yet, run \"FNTD.find.tracks\" or similar before.")
  
  resmatrix=sapply(J("fntd/tracking/FNTDtracks", "toArray", jimg@tracks), .jevalArray)
  
  return(data.frame(slice.no   = resmatrix[,1],
                    frame.no   = resmatrix[,2],
                    channel.no = resmatrix[,3],
                    track.no   = resmatrix[,4],
                    x  = resmatrix[,5],
                    y  = resmatrix[,6],
                    lx = resmatrix[,7],
                    ly = resmatrix[,8],
                    m0 = resmatrix[,9]))
}
