FNTD.import.tracks <- function(jimg, filename, format = "MosaicLinker"){

  if(class(jimg) != "FNTDjImage")
    stop("Object jimg has to be of class \"FNTDjImage\".")
  
  if(!format%in%c("MosaicLinker"))
    stop("Input format not available.")
  
  if(format == "MosaicLinker"){
    df       <- read.table(filename, 
                           sep = ",",
                           header = TRUE)[,1:11]
  }
  
  df$Frame <- df$Frame + 1
  df       <- df[order(df$Frame, df$Trajectory),]
  
  tracks   <-  .jnew("fntd/tracking/FNTDtracks",
                 as.integer(df$Frame), 
                 as.integer(rep(1,nrow(df))), 
                 as.integer(rep(1,nrow(df))), 
                 as.integer(df$X), 
                 as.integer(df$Trajectory), 
                 as.numeric(df$x), 
                 as.numeric(df$y),
                 as.numeric(df$m0),
                 as.numeric(df$m1),
                 as.numeric(df$m2),
                 as.numeric(df$m3),
                 as.numeric(df$m4),
                 as.numeric(rep(0,nrow(df))))

  if(is.jnull(tracks))
    stop("Problems reading track data.")

  jimg@tracks <- tracks
  
  # Add check if dimensions equal image
  return(jimg)
}