FNTD.normalize.stack <- function(jimg, reference.slice = 0){
  
  if(class(jimg) != "FNTDjImage")
    stop("jimg must be of class \"FNTDjImage\".")
  
  if(reference.slice != 0 & reference.slice > dim(jimg)[3])
    stop("Reference slice number exceeds image dimensions.")
  
  return(new("FNTDjImage",
             imagePlus = .jcall(.jnew("fntd/stacks/StackOperations"), 
                                "Lij/ImagePlus;", 
                                "stackWiseNormalization", 
                                jimg@imagePlus,
                                as.integer(reference.slice)),
             tracks 	 = jimg@tracks))
}