FNTD.read.image <- function(filename, return.list = FALSE){
  
  if(grepl("*", filename, fixed = TRUE)|grepl("?", filename, fixed = TRUE)){
    imgs <- lapply(list.files( path       = dirname(filename),
                               pattern    = basename(filename),
                               full.names = TRUE),
                   function(x){
                     new( "FNTDjImage",
                          imagePlus 				  = .jcall( .jnew("fntd/io/OpenImage"), 
                                                    "Lij/ImagePlus;", 
                                                    "open", 
                                                    x),
                          tracks 				    = .jnull())
                   })
    
    if(return.list)
      return(imgs)
    else{
      return( new( "FNTDjImage",
                   imagePlus     		  = .jcall(.jnew("fntd/stacks/StackOperations"), 
                                              "Lij/ImagePlus;", 
                                              "imagesToStack", 
                                              .jcast(.jarray(sapply(imgs, function(x){x@imagePlus})),
                                                     new.class = "[Lij/ImagePlus;",
                                                     convert.array = TRUE)),
                   tracks 				      = .jnull()))
    }
  }else{
    if(!file.exists(filename))
      stop("File not found.")
    
    return( new( "FNTDjImage",
                 imagePlus 				    = J("fntd/io/OpenImage", "open", filename),
                 tracks 				      = .jnull()))
  }
}


