rm(list = ls())
require(FNTD)
source("demo/CreateTestImages/FNTD.create.image.functions.R")


df.tracks <- generate.simple.tracks(x         = seq(10, 190, by = 20),
                                    y         = seq(40, 140, by = 10),
                                    n.slices  = 11,
                                    n.frames  = 2,
                                    intensity = 100,
                                    radius    = 5,
                                    add.to.background = TRUE)

img <- FNTD.create.image( size = list(n.x = 200,
                                      n.y = 150,
                                      n.slices = 11,
                                      n.frames = 2),
                          background = list(mean = 100, 
                                            sd = 8),
                          df.tracks = df.tracks)

FNTD.show.image(img)
FNTD.save.image(img, "test.tif")