rm(list = ls())
cat("\014")
options(java.parameters = "-Xmx4g")

require(FNTD)

# Read image
jimg <- FNTD.read.image(system.file("extdata", "ivana_0.5Gy_FXR_small.tif", package = "FNTD"))

jimg <- FNTD.find.weka.trackspots(jimg, system.file("extdata", "classifier.model", package = "FNTD"),
                                  "C:/ivana_0.5Gy_class.tif", FALSE)

# Find ("link") tracks
jimg <- FNTD.find.tracks(jimg, dynamics = "Constant velocity", radius = 3, link.range = 2, displacement = 10,
                         weight.distance = 1, weight.features = 1, weight.dynamics = 1, max_angle = 10, angle_history = TRUE,
                         relink = TRUE, relink.cost_factor = .2, relink.distance = 40)

# Tilt tracks and filter them
jimg <- FNTD.get.tracks.of.length(jimg, min.length = 4)

# Check results
FNTD.show.image(jimg, showTracks = TRUE)