message("###########################\n...correcting for angular dependency...\n")

if(FNTD.get.option(my.options, "correction.angluar") == "Hyperbola"){
  df.tracks$angle.norm.factor <- 1.0/(sqrt(cos(df.tracks$theta.deg*pi/180)^2 + 
                                             FNTD.get.option(my.options, "angular.corr.factor")*sin(df.tracks$theta.deg*pi/180)^2))
  df.tracks$mean.intensity    <- df.tracks$mean.intensity * df.tracks$angle.norm.factor
  df.tracks$sd.intensity      <- df.tracks$sd.intensity * df.tracks$angle.norm.factor
  df.tracks$sd.intensity.adj  <- df.tracks$sd.intensity.adj * df.tracks$angle.norm.factor
  
  df.trackspots.n4            <- merge(df.trackspots.n3, df.tracks[,c("id", "frame.no", "track.no", "angle.norm.factor")], 
                                       by = c("id", "frame.no", "track.no"))
  df.trackspots.n4$amplitude  <- df.trackspots.n4$amplitude * df.trackspots.n4$angle.norm.factor
}else{
  df.tracks$angle.norm.factor <- 1.0
  df.trackspots.n4            <- df.trackspots.n3
}

plot.angular.corr <- histogram(~angle.norm.factor|sprintf("id: %s", id),
                               df.trackspots.n4,
                               breaks   = 50,
                               as.table = TRUE,
                               type     = "percent",
                               main     = paste0("Angular correction factors (",
                                                 FNTD.get.option(my.options, "correction.angluar"),
                                                 ")"))