message("###########################\n...correcting for sensitvity fluctuation...\n")

df.trackspots.n1 <- df.trackspots

if(FNTD.get.option(my.options, "correction.fluctuation") == "Slice-wise tracks"){
  
  cv            <- paste(df.trackspots$id, df.trackspots$slice.no)
  df.trackspots <- split(df.trackspots, cv)
  
  res           <- clusterApplyLB(cl,
                                  df.trackspots,
                                  function(x){
                                    frames          <- unique(x$frame.no)
                                    mean.frame      <- tapply(x$amplitude, x$frame.no, mean, na.rm = TRUE)
                                    norm.frame      <- mean(mean.frame, na.rm = TRUE)/mean.frame
                                    x$amplitude     <- x$amplitude * norm.frame[match(x$frame.no, frames)]
                                    
                                    n.frames        <- length(frames)
                                    coefs           <- data.frame( id        = rep(unique(x$id),       n.frames),
                                                                   slice.no  = rep(unique(x$slice.no), n.frames),
                                                                   frame.no  = frames,
                                                                   norm.coef = norm.frame)
                                    return(list(trackspots = x,
                                                coefs      = coefs))})
  
  df.trackspots.n1 <- do.call("rbind", lapply(res, function(x){return(x$trackspots)}))
  coefs            <- do.call("rbind", lapply(res, function(x){return(x$coefs)}))   
}

if(FNTD.get.option(my.options, "correction.fluctuation") == "Sample-wise tracks"){
  
  cv            <- paste(df.trackspots$id)
  df.trackspots <- split(df.trackspots, cv)
  
  res           <- clusterApplyLB(cl,
                                  df.trackspots,
                                  function(x){
                                    frames          <- unique(x$frame.no)
                                    mean.frame      <- tapply(x$amplitude, x$frame.no, mean, na.rm = TRUE)
                                    norm.frame      <- mean(mean.frame, na.rm = TRUE)/mean.frame
                                    x$amplitude     <- x$amplitude * norm.frame[match(x$frame.no, frames)]
                                    
                                    n.frames        <- length(frames)
                                    coefs           <- data.frame( id        = rep(unique(x$id),       n.frames),
                                                                   frame.no  = frames,
                                                                   slice.no  = rep(unique("all"),       n.frames),
                                                                   norm.coef = norm.frame)
                                    return(list(trackspots = x,
                                                coefs      = coefs))})
  
  df.trackspots.n1 <- do.call("rbind", lapply(res, function(x){return(x$trackspots)}))
  coefs            <- do.call("rbind", lapply(res, function(x){return(x$coefs)}))   
}  

plot.sensitivity.corr <- xyplot( norm.coef ~ frame.no|sprintf("id: %s",id),
                                 coefs,
                                 grid   = TRUE,
                                 pch    = 3,
                                 groups = slice.no,
                                 main   = paste0("Sensitivity correction factors (",
                                                 FNTD.get.option(my.options, "correction.fluctuation"),
                                                 ")"))
