message("###########################\n...correcting for spherical abberations...\n")

df.trackspots.n2 <- df.trackspots.n1

# Stack-wise using total intensity
if(FNTD.get.option(my.options, "correction.spher.abb") == "Frame-wise total"){
  cv  <- paste(df.trackspots.n1$id, df.trackspots.n1$frame.no)
  cv2 <- paste(df.images$id,     df.images$frame.no)
  coefs <- data.frame()
  
  for (cur.cv in unique(cv)){
    # cur.cv <- unique(cv)[1]
    ii <- cur.cv == cv
    jj <- cur.cv == cv2
    
    slices          <- tapply(df.trackspots$slice.no[ii],  df.trackspots$slice.no[ii], unique)
    mean.slice      <- tapply(df.images$net.intensity[jj], df.images$slice.no[jj], mean, na.rm = TRUE)
    norm.slice      <- mean.slice[slices == FNTD.get.option(my.options, "reference.slice")]/mean.slice
    df.trackspots.n2$amplitude[ii] <- df.trackspots.n1$amplitude[ii] * norm.slice[match(df.trackspots.n1$slice.no[ii], slices)]
    
    n.slices        <- length(slices)
    coefs           <- rbind( coefs,
                              data.frame( id        = rep(unique(df.trackspots$id[ii]),       n.slices),
                                          frame.no  = rep(unique(df.trackspots$frame.no[ii]), n.slices),
                                          slice.no  = slices,
                                          norm.coef = norm.slice))
  }
}


# Stack-wise using track amplitudes
if(FNTD.get.option(my.options, "correction.spher.abb") == "Frame-wise tracks"){
  cv <- paste(df.trackspots.n1$id, df.trackspots.n1$frame.no)
  coefs <- data.frame()
  
  for (cur.cv in unique(cv)){
    # cur.cv <- unique(cv)[1]
    ii <- cur.cv == cv
    slices          <- tapply(df.trackspots.n1$slice.no[ii],  df.trackspots.n1$slice.no[ii], unique)
    mean.slice      <- tapply(df.trackspots.n1$amplitude[ii], df.trackspots.n1$slice.no[ii], mean, na.rm = TRUE)
    norm.slice      <- mean.slice[slices == FNTD.get.option(my.options, "reference.slice")]/mean.slice
    
    df.trackspots.n2$amplitude[ii] <- df.trackspots.n1$amplitude[ii] * norm.slice[match(df.trackspots.n1$slice.no[ii], slices)]
    
    n.slices        <- length(slices)
    coefs           <- rbind( coefs,
                              data.frame( id        = rep(unique(df.trackspots.n1$id[ii]),       n.slices),
                                          frame.no  = rep(unique(df.trackspots.n1$frame.no[ii]), n.slices),
                                          slice.no  = slices,
                                          norm.coef = norm.slice))
  }
}

# Sample-wise using track amplitudes
if(FNTD.get.option(my.options, "correction.spher.abb") == "Sample-wise total"){
  cv  <- paste(df.trackspots.n1$id)
  cv2 <- paste(df.images$id)
  coefs <- data.frame()
  
  for (cur.cv in unique(cv)){
    # cur.cv <- unique(cv)[1]
    ii <- cur.cv == cv
    jj <- cur.cv == cv2
    
    slices          <- tapply(df.trackspots$slice.no[ii],  df.trackspots$slice.no[ii], unique)
    mean.slice      <- tapply(df.images$net.intensity[jj], df.images$slice.no[jj], mean, na.rm = TRUE)
    norm.slice      <- mean.slice[slices == FNTD.get.option(my.options, "reference.slice")]/mean.slice
    df.trackspots.n2$amplitude[ii] <- df.trackspots.n1$amplitude[ii] * norm.slice[match(df.trackspots.n1$slice.no[ii], slices)]
    
    n.slices        <- length(slices)
    coefs           <- rbind( coefs,
                              data.frame( id        = rep(unique(df.trackspots$id[ii]),       n.slices),
                                          frame.no  = rep("all",       n.slices),
                                          slice.no  = slices,
                                          norm.coef = norm.slice))
  }
}

# Sample-wise using track amplitudes
if(FNTD.get.option(my.options, "correction.spher.abb") == "Sample-wise tracks"){
  cv <- paste(df.trackspots.n1$id)
  coefs <- data.frame()
  
  for (cur.cv in unique(cv)){
    # cur.cv <- unique(cv)[1]
    ii <- cur.cv == cv
    slices          <- tapply(df.trackspots.n1$slice.no[ii],  df.trackspots.n1$slice.no[ii], unique)
    mean.slice      <- tapply(df.trackspots.n1$amplitude[ii], df.trackspots.n1$slice.no[ii], mean, na.rm = TRUE)
    norm.slice       <- mean.slice[slices == FNTD.get.option(my.options, "reference.slice")]/mean.slice
    df.trackspots.n2$amplitude[ii] <- df.trackspots.n1$amplitude[ii] * norm.slice[match(df.trackspots.n1$slice.no[ii], slices)]
    
    n.slices        <- length(slices)
    coefs           <- rbind( coefs,
                              data.frame( id        = rep(unique(df.trackspots.n1$id[ii]),       n.slices),
                                          frame.no  = rep("all",       n.slices),
                                          slice.no  = slices,
                                          norm.coef = norm.slice))
  }
}

plot.spherical.abb.corr <- xyplot( norm.coef ~ slice.no|sprintf("id: %s",id),
                                   coefs,
                                   grid   = TRUE,
                                   pch    = 3,
                                   groups = frame.no,
                                   main   = paste0("Spherical abberation correction factors (",
                                                   FNTD.get.option(my.options, "correction.spher.abb"),
                                                   ")"))
