message("###########################\n...processing track results...\n")

# Copy back amplitude (unfortuantely yet with some trick: use max as placeholder)
df.trackspots.n3$max <- df.trackspots.n3$amplitude

# Split dataframe for cluster apply
cv               <- paste(df.trackspots.n3$id, df.trackspots.n3$frame.no)
df.trackspots.n3 <- split(df.trackspots.n3, cv)

df.tracks            <- clusterApplyLB(cl,
           df.trackspots.n3,
           function(x){ tmp <- FNTD.get.track.properties( x,
                                                          radius          = FNTD.get.option(my.options, "evaluation.radius"),
                                                          method          = "maximum",
                                                          voxel.size      = FNTD.get.option(my.options, "voxel.size"), 
                                                          optical.param   = FNTD.get.option(my.options, "optical.param"),
                                                          image.size      = FNTD.get.option(my.options, "image.size"))
           tmp$id <- unique(x$id)
           return(tmp)})

# Compute line-width (as split by id and frame)
df.tracks <- clusterApplyLB(cl,
                            df.tracks,
                            function(x){
                              lw               <- sd(x$mean.intensity, na.rm = TRUE) / 
                                mean(x$mean.intensity, na.rm = TRUE)
                              x$rel.line.width <- rep(lw, nrow(x))
                              return(x)})

# Combine again, merge with meta-data
df.tracks <- do.call("rbind", df.tracks)
df.tracks <- merge(df.meta, df.tracks, by = "id")

df.trackspots.n3        <- do.call("rbind", df.trackspots.n3)