require(parallel)
require(xlsx)
require(libamtrack)

##### 1. COMPILE METADATA #####
source("demo/ProcessingScripts/CompileMetaData.R")

##### 2. START CLUSTER #####
source("demo/ProcessingScripts/StartCluster.R")

##### 3. TRACK AND LINK #####
source("demo/ProcessingScripts/TrackingAndLinking.R")

##### 4. PROCESS TRACKING RESULTS #####
source("demo/ProcessingScripts/ProcessTrackingResults.R")

##### 5. CORRECTION FOR SENSITIVITY FLUCTUATION #####
source("demo/ProcessingScripts/CorrectSensitivityFluctuation.R")

##### 6. CORRECTION FOR SPHERICAL ABBERATIONS #####
source("demo/ProcessingScripts/CorrectSphericalAbberation.R")

##### 7. CORRECTION FOR FOV NON-UNIFORMITY #####
source("demo/ProcessingScripts/CorrectFOVnonUniformity.R")

##### 8. PROCESS TRACKS #####
source("demo/ProcessingScripts/ProcessTracks.R")

##### 9. CORRECT FOR ANGLUAR DEPENDENCY #####
source("demo/ProcessingScripts/CorrectAngularDependency.R")

##### 10. STOP CLUSTER #####
stopCluster(cl)
gc()

##### 11. COLLECT RESULTS #####
FNTD.results <- list(options      = my.options,
                     data         = list( df.meta       = df.meta,
                                          df.images     = df.images,
                                          df.tracks     = df.tracks,
                                          df.trackspots = df.trackspots.n4),
                     corr.plots   = list( plot.sensitivity.corr   = plot.sensitivity.corr,
                                          plot.spherical.abb.corr = plot.spherical.abb.corr,
                                          plot.FOV.corr           = plot.FOV.corr,
                                          plot.angular.corr       = plot.angular.corr))
