\name{FNTD-package}
\alias{FNTD-package}
\alias{FNTD}

\docType{package}

\title{
FNTD related R functions.
}

\description{
Routines to analyze images from Al2O3:C,Mg-based fluorescent nuclear track detectors in Medical Physics, especially ion-beam research. This package is a collection of wrapper function to the FNTD java package, which in turn uses public domain Java code from ImageJ (Wayne Rasband, NIH, http://imagej.nih.gov/ij/), the Mosaic group (Ivo F. Sbalzarini, MPI-CBG Dresden, http://mosaic.mpi-cbg.de/) and JAMA (Joe Hicklin et al., NIST, http://math.nist.gov/javanumerics/jama/). From version 0.6.0, the package uses direct Java pointers and is not downwards compatible. For running old code, use the FNTDvintage (v0.5.99) package.\cr\cr
In case you experiencing memory troubles, increase your java heap space by \code{options(java.parameters="-Xmx6000m")} (exchanging \code{6000m} = 6GB with your memory requirement).\cr\cr
Type \code{?FNTD} to access this page, and \code{demo(package = "FNTD")} to get an overview an available demos.}

\details{
\tabular{ll}{
Package: \tab FNTD\cr
Type: \tab Package\cr
Version: \tab 0.7.0 (development)\cr
Date: \tab 2015-04-15\cr
License: \tab GPL3\cr
}
}
\author{
Steffen Greilich + FNTD group

Maintainer: Steffen Greilich <s.greilich@dkfz.de>
}
\references{
Greilich, S., Osinga, J.-M., Niklas, M., Lauer, F.M., Klimpki, G., Bestvater, F., Bartz, J.A., Akselrod, M.S., Jaekel, O., 2013. Fluorescent Nuclear Track Detectors as a Tool for Ion-Beam Therapy Research. Radiat. Meas. 56, 267-272.}

\keyword{ Fluorescent nuclear track detectors }
\seealso{
Rasband, W.S., ImageJ, U. S. National Institutes of Health, Bethesda, Maryland, USA, http://imagej.nih.gov/ij/, 1997-2014.
}
\examples{
\dontrun{
# To see demo on how to read and process multiple FNTD image files, run
demo("read.multiple.images", package = "FNTD")

# To see demo on how to evaluate intensities along tracks, run
demo("evaluate.tracks", package = "FNTD")
}
}

