\name{FNTD.apply.axial.correction}
\alias{FNTD.apply.axial.correction}

\title{
Corrects for the axial intensity decrease as given by Alexander Stadler's thesis. 
}
\description{
Due to aberrations due to the refractive index mismatch between the oil and the FNTD, the measured intensity decreases further down the sample. This function compensates for this decrease via the equations given by Alexander Stadler's thesis.
}

\usage{
FNTD.apply.axial.correction(jimg, parameters = list(A = 1.167,
                                                    B = 1.324E-5,
                                                    C = -5.424E-3,
                                                    z.start = 0,
                                                    dz = 2))
}

\arguments{
  \item{jimg}{
FNTDjimage object
}
  \item{parameters}{
Contains the parameters for the correction equations.
}
  \item{z}{
For \code{method = 'file'} this is an image file, that contains the flatfield image. Data for the FXR700RG data (DKFZ) are shipped with the package.
}
}

\value{
Corrected FNTDjImage object.
}

\author{
Jasper Kouwenberg
}

\references{
Stadler (2015)\cr
}

\seealso{

}