\name{FNTD.apply.polar.correction}
\alias{FNTD.apply.polar.correction}

\title{
Corrects for the theta angle intensity decrease. 
}

\description{
Scanning of angled tracks leads to an apparent decrease in intensity due to partial illumination with the non-isometric focal spot.  This function compensates for this decrease using the assumption of a elliptic focal spot.
}

\usage{
FNTD.apply.polar.correction(tracks, sigma.ax, sigma.lat)
}

\arguments{
  \item{tracks}{
Track dataframe as given by FNTD.get.track.properties
}
  \item{sigma.ax}{
Axial sigma of confocal focal spot
}
  \item{sigma.lat}{
Lateral sigma of confocal focal spot
}
}

\value{
Intensity corrected dataframe
}

\author{
Jasper Kouwenberg
}

\references{

}

\seealso{

}