\name{FNTD.filter.borders}
\alias{FNTD.filter.borders}

\title{
Removes tracks ending near the borders of the image.
}
\description{
High-angled tracks have a chance to travel between frames, which leads to early termination of tracks within a frame. This routine removes tracks that end within the given amount of pixels from the borders of the image.
}

\usage{
FNTD.filter.borders(tracks, border.distance = 0,
                            image.size = list(n.x = 1024,
                                              n.y = 1024,
                                              n.slices = 30))
}

\arguments{
  \item{tracks}{
Track dataframe as given by FNTD.get.track.properties
}
  \item{border.distance}{
Minimum distance from the borders in pixels for the endpoints of each track in order to be kept.
}
  \item{image.size}{
Dimensions of the imagestack
}
}

\value{
Filtered track dataframe
}

\author{
Jasper Kouwenberg
}

\references{

}

\seealso{

}