\name{FNTD.find.weka.trackspots}
\alias{FNTD.find.weka.trackspots}

\title{
Find particles using the WEKA machine learning FIJI plugin.
}
\description{
When the MOSAIC Featurepoint Detector fails, one might consider employing the WEKA interactive machine learning plugin. This allows for selection of more exotic particles, but requires a lot of computational power.
}

\usage{
FNTD.find.weka.trackspots(jimg, classifier.path, classified.image.path = "", overwrite = FALSE, radius = 3)
}

\arguments{
  \item{jimg}{
FNTDjimage object
}
  \item{classifier.path}{
Path to the WEKA classifier file
}
  \item{classified.image.path}{
Path to the save location for the classified image
}
  \item{overwrite}{
Always overwrite the classified image
}
  \item{radius}{
The radius of each particle. Used to calculate the intensity momenta required for particle linking.
}
}

\details{
The plugin generates an ImageStack for the classifications of the given FNTDjimage object and saves this to the classified.image.path path.
Since this procedure is very computationaly intensive, the existing classification ImageStack is used when present, unless the overwrite parameter is set to TRUE.
}

\value{
The FNTDjImage object used as input with the track positions added in the @tracks slot.
}

\author{
Jasper Kouwenberg
}

\references{

}

\seealso{

}