\name{FNTD.get.tracks}
\alias{FNTD.get.tracks}

\title{
Get particle track positions
}
\description{
Returns the particle track data as data frame.
}

\usage{
FNTD.get.tracks(jimg)
}

\arguments{
  \item{jimg}{FNTDjImage object}
}
\details{
To get track data, those have to be stored in the FNTDjImage class (as pointer to java object), either by the \code{FNTD.find.trackspots} command on \code{jimg} or by loading from external file.
}

\value{
Dataframe containing all the trackspots with their respective track information.}

\author{
Steffen Greilich
}

\examples{
library(FNTD)
filename <- system.file("extdata", "sg35041_s03.lsm", package = "FNTD")
jimg     <- FNTD.read.image(filename)
FNTD.show.image(jimg)
jimg   <- FNTD.find.trackspots(jimg, radius = 3, cutoff = 3.0, percentile = 0.5)
#df     <- FNTD.get.tracks(jimg)
}
