\name{FNTD.import.tracks}
\alias{FNTD.import.tracks}

\title{
Read in table with trackspot and/or trajectory ("track") data
}
\description{
This routines reads track data that has been stored in a defined format (see details) by an external routine, e.g. the Mosaic Particle Linker, and assigns them to an FNTDjImage object.
}
\usage{
FNTD.import.tracks(jimg, filename, format = "MosaicLinker")
}
\arguments{
  \item{jimg}{
Image to assign the data to}
  \item{filename}{
Filename of the trajectory table}
  \item{format}{
Table format, only "MosaicLinker" is implemented yet (see details)}
}
\details{
The "MosaicLinker" format is defined as csv-ASCII file (comma separated) with 12 columns:\cr
\code{TrackSpotNo, TrackNo, SliceNo, xPosition, yPosition, zPosition, m0, m1, m2, m3, m4, NPscore}\cr
The first line of the file has to be the column names (although they will not be used - and carry different names for example when written by the Mosaic Squassh routine, e.g. 'SliceNo' = 'Frame' etc.). \code{m0...m5} are the zeroth to fourth moment of the pixel values of a track and \code{NPscore} a non-trackspot criterion.\cr
The routine is only using the first five columns (and will accept files with <12 but >= 5 columns). The zPosition is not used and misleading (as Mosaic tracks in the time = frame dimension). The number of the trackspot and the track are one-based in the input, the slice number has to be zero-based! The latter is changed during import as within the FNTD, all indices are consistently one-based!\cr
\cr
If track spots have not yet been assigned to trajectories ("linked"), \code{TrackNo} can (and has to) be zero for all entries.\cr
\cr
The integrity of the track data, esp. if they fit the dimensions of the image they are assigned to if NOT CHECKED YET!
}
\value{
FNTDjimage object with tracks assigned. If the image already had other track information assigned, these previous data get overridden.
}

\author{
Steffen Greilich}


