\name{FNTD.normalize.stack}
\alias{FNTD.normalize.stack}

\title{
Stack normalization
}
\description{
Adjusts the mean pixel value of each slice in a stack to a reference slice or the overall mean. This method can especially be used to compensate the intensity loss with depth due to spherical abberations etc. Alternatively, the image stack can be multiplied with a vector (number of elements matching the number of slice in the stack) holding empirical correction factors.
}

\usage{
FNTD.normalize.stack(jimg, reference.slice = 0)
}
\arguments{
  \item{jimg}{
FNTDjimage object.
}
  \item{reference.slice}{
Number of the reference slice (one-based). If zero, the mean pixel value of all slices will be used.
}
}

\value{
A corrected FNTDjimage object.
}

\author{
Steffen Greilich
}

\references{
Stadler (2015)\cr
Schudell (2013)
}


\seealso{
\code{evalute.tracks} demo
}