\name{FNTD.plot.image}
\alias{FNTD.plot.image}

\title{Plots FNTD image}

\description{Plots FNTD image (stacks) in lattice plots for visualisation / archiving - in contrast to interactive FNTD.show.image.}

\usage{FNTD.plot.image(jimg, scale = 1, showTracks = FALSE, track.overlay.radius = 0, 
layout = NULL, title = NULL)}

\arguments{
  \item{jimg}{FNTDjimage object}
  \item{scale}{Scaling factor for image to be plotted, set <1 to avoid unnecessarily high resolution.}
  \item{showTracks}{if TRUE, tracks and track spots will be indicated}
  \item{track.overlay.radius}{size of track spot indicators in px}
  \item{layout}{layout settings for lattice, i.e. c(panels in x, panels in y)}
  \item{title}{optional title for plot}
}

\author{S. Greilich}

\examples{
\dontrun{
filename <- system.file("extdata", "mh2003.tif.zip", package = "FNTD")
jimg     <- FNTD.read.image(filename)
jimg     <- FNTD.find.trackspots(jimg, radius = 3, cutoff = 3.0, percentile = 0.5)
jimg     <- FNTD.find.tracks(jimg, dynamics = "Constant velocity")
FNTD.show.image(jimg, showTracks = TRUE)
FNTD.plot.image(jimg, showTracks = TRUE, scale = 0.5, layout = c(3,2))
}
}

