\name{FNTD.read.image}
\alias{FNTD.read.image}

\title{
Reading FNTD images
}
\description{
This function allows to read-in image data from FNTD measurements using various input formats.
}

\usage{
FNTD.read.image(filename, return.list = FALSE)
}

\arguments{
  \item{filename}{path and filename of the image(s). If filename contains a wildcard (e.g. "./pathtodir/*.tif"), all images will be read in and returned as a stack in alphabetical order.}
  \item{return.list}{if TRUE, images will be returned as a list rather than a stack.}
}

\details{
Can handle TIFF, BMP, DICOM, FITS, PNG, GIF and JPG images as well as LSM format (Zeiss). Uses FileOpener class and LSM_Reader class from ImageJ and stores as ImageJ ImagePlus object.
}

\value{
Returns object of class FNTDjImage, which contains amongst other slots a Java-pointer to the ImagePlus object.
}

\references{
Rasband, W.S., ImageJ, U. S. National Institutes of Health, Bethesda, Maryland, USA, http://imagej.nih.gov/ij/, 1997-2014.
}

\author{
Steffen Greilich
}

\examples{
# Read and show example image
filename <- system.file("extdata", "sg35041_s03.lsm", package = "FNTD")
jimg     <- FNTD.read.image(filename)
FNTD.show.image(jimg)

# Read and show example sequence of images
# filenames <- file.path(system.file("extdata", "jmo3709", package = "FNTD"),
#                        "*.tif")
# mimg <- FNTD.read.image(filenames)
# FNTD.show.image(mimg) 
}
