\name{FNTD.surface.theta.correction}
\alias{FNTD.surface.theta.correction}

\title{
Correct the theta angles of tracks for surface tilting.
}
\description{
Tilting of the surface, as measured by the surface reflection, causes the track angles to appear slightly less or more tilted. This routine corrects for this using the surface reflection fit.
}

\usage{
FNTD.surface.theta.correction(theta, phi,
                              voxel.size    = list(x.um = .1,
                                                   y.um = .1,
                                                   z.um = .1),
                              surface.param = list(z.offset = 0,
                                                   x.slope = 0,
                                                   y.slope = 0,
                                                   image.offset = 0,
                                                   theta.cor = FALSE))
}

\arguments{
  \item{theta}{
Array of theta angles.
}
  \item{phi}{
Array of corresponding phi angles.
}
  \item{surface.param}{
  Fit parameters obtained from a linear fit of the surface reflection. Used to correct tilting during FNTD scanning. Also corrects the theta angles of the tracks when \code{theta.cor} is TRUE.
}
  \item{image.size}{
  Image dimensions in pixels. Only required when x is a dataframe.
}
}

\value{
Array of corrected theta angles.
}

\author{
Jasper Kouwenberg
}

\references{

}

\seealso{

}