rm(list = ls())
cat("\014")

library(rgl)

load(file = 'Data/FNTD_Refl_Regression.rda')

filename = ""
#reflectance plane
vec = 0:98.41
x = c(0, 45, 90)
y = c(0,0,0)
z = c(1,1,1)*.49
img_offset = (0)*.49

fit <- lm(z ~ x + y)

x1<-sapply(vec, function (x) rep(x,length(vec)))
x1<-as.vector(x1)
y1 = rep(vec, length(vec))
z1 = fit$coefficients[1] + fit$coefficients[2]*x1 + fit$coefficients[3]*y1
# plot3d(x1,y1,z1)

print(summary(fit))

t_df <- data.frame(filename, intercept=fit$coefficients[1], c_x=fit$coefficients[2], c_y=fit$coefficients[3]
                   , img_offset=img_offset, stringsAsFactors=FALSE)

if (file.exists('Data/FNTD_Refl_Regression.rda')) {
  if (filename %in% FNTD_refl_data$filename) {
    FNTD_refl_data[FNTD_refl_data$filename==filename,] <- t_df
    cat("Replaced entry")
  } else {
    FNTD_refl_data <- rbind (FNTD_refl_data, t_df)
    cat("Appended entry")
  }
} else {
  FNTD_refl_data <- t_df
}

FNTD_refl_data[FNTD_refl_data$filename==filename,]$c_x <- 0
FNTD_refl_data[FNTD_refl_data$filename==filename,]$c_y <- 0

save(FNTD_refl_data, file = 'Data/FNTD_Refl_Regression.rda')
