source(file="include/default.R")

require(ggplot2)
require(Cairo)

RBE.par <- function(LET) {
  return (1 + (1.42057E-01 + 0.1)*(0.292*LET - 9.52E-4*LET^2))
}

files.no      <- c()
cell          <- c()

lr.data <- numeric()

for (dose in cell.dose.ext) {
  load(paste('Data/Spheroids/bottom0file', min(files.no), '-', max(files.no), '_', dose, 'Gy.rda', sep=''))
  
  lr.data <- c(lr.data, res$energy[res$no.tracks == 1 & res$cell %in% cell]/res$length[res$no.tracks == 1 & res$cell %in% cell])
}

cat("LET:", round(mean(lr.data), 0),"±", round(sd(lr.data), 0), "keV/um\n")

hist(lr.data, breaks = 40, main="", xlab="LET (keV/um)")

cat("RBE:", mean(polyapply(lr.data, LET.fit$coefficients), na.rm=T))

# RBE.R <- sum(RBE.par(lr.data))/length(lr.data)
# 
# cat("RBE (gamma):", round(RBE.R, 2), "\n")
# cat("RBE_av (gamma):", round(RBE.par(mean(lr.data)), 2), "\n")

# LET <- 50:200
# plot(LET, RBE.par(LET)/RBE.R, xlab="LET (keV/um)", ylab="RBE")
# plot(1 + RBE.par(LET))