source(file="include/default.R")
require(Cairo)

files.no      <- c()
cell          <- c()
ylim          <- 12

target.dose   <- cell.dose.ext[c(2,4,6)]

for (c in 1:length(cell)) {
  tr.data <- numeric()

  for (dose in cell.dose) {
    load(paste('Data/Spheroids/bottom0file', min(files.no), '-', max(files.no), '_', dose, 'Gy.rda', sep=''))

    tr.data <- c(tr.data, res$dose[res$no.tracks == 1 & res$cell %in% cell[c]])
  }

  q_fit <- mean(tr.data)
  
  k     <- max(res$no.tracks)
  dens  <- density(tr.data, na.rm = T, from = 0, to = max(tr.data), n = 100)
  zny   <- multihit.distribution(k, dens)
  
  for (d in 1:length(target.dose)) {
    zdist <- poisson.zdist(zny, q_fit, target.dose[d], dens$x)
    x     <- (0:(length(zny[[length(zny)]]) - 1)*(dens$x[2] - dens$x[1]))
    
    load(paste('Data/Spheroids/bottom0file', min(files.no), '-', max(files.no), '_', target.dose[d], 'Gy.rda', sep=''))
    tr.data <- res$dose[res$cell %in% cell[c]]
    
    Cairo(width = 600, height = 600, dpi = 300, file=paste("Data/Plots/Cell/MHD_c", cell[c], "_d", target.dose[d],".png", sep=""), type="png")
    bins <- hist(tr.data, breaks=(0:40)/40 * max(tr.data), plot=F)
    par(mar = c(4.2,4,.5,.5), family="Times New Roman", cex=.6)
    if (d == 1)
      plot(bins$mids, bins$density, type="h", col="gray20", ylim=c(0, ylim), xlim = c(0, max(tr.data)),
           xlab="Specific energy z (J/kg)", ylab="Probability density", lwd=.5)
    else
      plot(bins$mids, bins$density, type="h", col="gray20", ylim=c(0, ylim), xlim = c(0, max(tr.data)),
           xlab="", ylab="", lwd=.5)
    lines(x, zdist/(x[2]-x[1]))
    dev.off()
    
    # Cairo(width = 1200, height = 600, dpi = 300, file=paste("Data/Plots/Cell/MHD_c", cell[c], "_d", target.dose[d],".png", sep=""), type="png")
    # bins <- hist(tr.data, breaks=(0:100)/100 * max(tr.data), plot=F)
    # par(mar = c(5,4,1,1), family="Times New Roman", cex=.75)
    # plot(bins$mids, bins$density, type="h", col="gray20", ylim=c(0, ylim), xlim = c(0, max(tr.data)),
    #      xlab="Specific energy z (J/kg)", ylab="Probability density", lwd=.5)
    # lines(x, zdist/(x[2]-x[1]))
    # dev.off()
  }

  cat("q:", q_fit, "\n")
}