source(file="include/default.R")
require(Cairo)

files.no      <- c()
cell          <- c()
xlim          <- 0.25
ylim          <- 40

for (c in 1:length(cell)) {
  tr.data <- numeric()
  
  for (dose in cell.dose) {
    load(paste('Data/Spheroids/bottom0file', min(files.no), '-', max(files.no), '_', dose, 'Gy.rda', sep=''))
    
    tr.data <- c(tr.data, res$dose[res$no.tracks == 1 & res$cell %in% cell[c]])
  }
  
  dens  <- density(tr.data, na.rm = T, from = 0, to = max(tr.data), n = 30)
  
  Cairo(width = 600, height = 600, dpi = 200, file=paste("Data/Plots/Cell/SHD_c", cell[c], ".png", sep=""), type="png")
  par(mar = c(5,4,1,1), family="Times New Roman", cex=.75)
  plot(dens$x, dens$y, type="h", col="gray20", ylim=c(0, ylim), xlim = c(0, xlim),
       xlab="Specific energy z (J/kg)", ylab="Probability density")
  dev.off()
  
  cat("Mean:", mean(tr.data), "\n")
}