source(file="Include/default.R")
require(plotly)

energy = 5470

for (Imode in 1:4) {
  load(file=paste('Data/Spheroids/Spheroid_am241_', energy, 'keV_', Smode[Imode],'.rda', sep=''))
  
  cat(Smode[Imode])
  
  if (F) { # 3D
    dres <- data.frame(x = res$x, y = res$y, z = res$z)
    p <- plot_ly(dres, x = ~x, y = ~y, z = ~z, type="scatter3d", mode="markers", 
                 marker = list(size=c(1)))
    print(p)
  } else {
    y_marg <- 2
    
    res$x <- res$x[res$y >= -y_marg & res$y <= y_marg]
    res$z <- res$z[res$y >= -y_marg & res$y <= y_marg]
    
    Cairo(width = 1200, height = 1200, dpi = 400, file=paste("Data/Plots/Cell/Spheroid_spatial,", Smode[Imode],".png", sep=""), type="png")
    par(mar = c(5,4,1,1), family="Times New Roman", cex=.75)
    plot(res$x, res$z, pch=".", xlim=c(-50, 50), ylim=c(-50,50), 
         xlab=expression(paste("x coordinate (", mu, "m)", sep="")), ylab=expression(paste("z coordinate (", mu, "m)", sep="")))
    dev.off()
  }
}