source(file="include/default.R")

require(ggplot2)
require(Cairo)

step  <- 0.01

load(paste('Data/Spheroids/Spheroid_am241_20000keV_int.rda', sep=''))

# res <- res[res$iso == 0]

dp    <- list()
dens  <- density(res$dose.nuc, na.rm = T)
dp$x  <- dens$x[dens$x > 0]
dp$y  <- dens$y[dens$x > 0]
fit.o <- rep(0, length(dp$x))

x    <- seq(0, max(res$dose.nuc)+step, length.out=100)
bins <- hist(res$dose.nuc, breaks=x, plot=FALSE)
x    <- x[1:(length(x)-1)]

# Cairo(width = 800, height = 800, dpi = 200, file=paste('Data/Plots/Cell/Artifical_tracks.png', sep=''), type="png")
# par(mar = c(5,4,1,2))
plot(x, bins$density, ylab="Density", xlab="z (J/kg)", type="h", ylim = c(0, max(dp$y))*1.1, cex.lab=1.5, cex.axis=1.5)
# dev.off()