source(file="include/default.R")

require(ggplot2)
require(Cairo)

# files.no     <- c(25:32) # 1800 um
files.no      <- c(33:41) # 2600 um
# files.no      <- c(43:46) # HR

prefix <- '18'
if (min(files.no) > 32)
  prefix <- '26'

Sim.file     <- paste('Data/CSV/Angular_spectrum_', prefix, '00.csv', sep="")

theta.deg <- data.frame()

for (i in settings$filename[files.no]) {
  load(paste('Data/Tracks/tracks_', i, '.rda', sep=""))
  
  theta.deg <- rbind(theta.deg,
                          data.frame("data"=tracks$theta.deg))
}

Sim <- read.table(Sim.file, sep=',', header = FALSE)
Sim <- data.frame(matrix(unlist(Sim), nrow=nrow(Sim), byrow=F))

Cairo(width = 1400, height = 1000, dpi = 200, file=paste("Data/Plots/", prefix, "00_angular.png", sep=""), type="png")
par(mar = c(5,5,1,2))
hist(theta.deg$data, freq = F, breaks = 20, ylab="Probability", xlab="Theta (deg)", main = "", xlim=c(0,50), cex.lab=1.5, cex.axis=1.5)
lines(Sim$X1, Sim$X2*1.2, lwd=2)
box()
dev.off()