source(file="include/default.R")

require(ggplot2)
require(Cairo)

files.no      <- c(25:32) # 1800 um
# files.no      <- c(33:41) # 2600 um
# files.no      <- c(42:45) # HR

dat = data.frame()

for (i in settings$filename[files.no]) {
  load(paste('Data/Tracks/tracks_', i, '.rda', sep=""))
  
  for(i in 1:nrow(tracks)) {
    track <- tracks[i,]
    
    x.t <- matrix(unlist(track$length.vec), ncol = 1, byrow = TRUE)[,1]
    y.t <- matrix(unlist(track$amplitude),  ncol = 1, byrow = TRUE)[,1]
    
    dat = rbind(dat,
                data.frame(y = y.t))
  }
}

cat("Intensity:", mean(dat$y), "±", sd(dat$y))