source(file="include/default.R")

cells.no = c(0:15)

jimg <- FNTD.read.image(paste("D:/CSLM/E3/", as.character(settings$filename[25]),"_fluo.tif",sep=""))
jimg <- FNTD.create(jimg)
n    <- dim(jimg)[1:3]
load(file=paste('Data/Tracks/tracks_', as.character(settings$filename[25]), '.rda', sep=""))

v    <- rep(0,length(cells.no))

for (i in cells.no) {
  cimg <- FNTD.read.image(paste("D:/Google Drive/PhD/Data/CLSM/Bio/",i,"_crop.tif",sep=""))
  
  data <- FNTD.find.cell.hits(jimg, cimg, tracks,
                              fntd.voxel.size  = voxel.size,
                              cell.voxel.size  = cell.voxel.size,
                              cell.surface.param = list(z.offset = 0,
                                                        x.slope = 0,
                                                        y.slope = 0,
                                                        image.offset = 0),
                              LET.file = Water.LET,
                              no.pos = 1,
                              fntd.dose = 1, cell.dose = .1,
                              dose.cycles = 1,
                              draw = FALSE,
                              border.distance = 1)
  
  v[i+1] <- data$vol
}
cat("Vol:", mean(v), "±", sd(v), "um3")
