################################
# FNTDmask CLASS
################################
setClass( Class            = "FNTDmask",
          representation   = representation( mask   = "numeric"),
		  prototype        = list( mask   = 0))

################################
# FNTDmask METHODS
################################
setMethod(f          = "length", 
          signature  = "FNTDmask",
          definition = function(x) {
                           return(length(x@mask))})

setMethod(f          = "!", 
          signature  = c("FNTDmask"),
          definition = function(x) {
                           ii          <- x@mask > 0
						   x@mask[ii]  <- rep(0, sum(ii))
						   x@mask[!ii] <- rep(1, sum(!ii))
						   return(x)})
						   
setMethod(f          = "&", 
          signature  = c("FNTDmask", "FNTDmask"),
          definition = function(e1, e2) {
		                   if(sum(e1@mask>1) & sum(e2@mask>1)){
						     cat("AND operation between two masks makes most sense with one or two logical (not two track) masks involved.\n")
						   }
						   return(new( "FNTDmask",
						               mask = e1@mask * e2@mask))})						   
