################################
# FNTDmarkers CLASS
################################
setClass( Class            = "FNTDmarkers",
          representation   = representation( id = "numeric",
		                                     x  = "numeric",
											 y  = "numeric"),
		  prototype        = list( id = NULL,
		                           x  = NULL,
								   y  = NULL))
								   
################################
# FNTDmarkers METHODS
################################
setMethod(f          = "length", 
          signature  = "FNTDmarkers",
          definition = function(x) {
                           return(length(x@id))})

setMethod(f          = "+", 
          signature  = c("FNTDmarkers", "FNTDmarkers"),
          definition = function(e1, e2) {
                           if(length(e1) != length(e2)){
						     stop("FNTDmarkers to add have to have the same lengths.")
						   }
						   return(new("FNTDmarkers",
						               id       = e1@id,
									   x        = e1@x + e2@x,
									   y        = e1@y + e2@y))
						   })

################################
# FNTDmarkers FUNCTIONS
################################
createMarkers <- function(x, y){
 if(length(x) != length(y)){
   stop("x and y have to have the same length.")
 }
 return( new( "FNTDmarkers",
              id  = 1:length(x),
			  x   = x,
			  y   = y))
}

findTransformation <- function( markers1, markers2){
	if((class(markers1) != "FNTDmarkers")|(class(markers2) != "FNTDmarkers")){
	  stop("Arguments have to be of class \"FNTDmarkers\".")
	}
	
	if((length(markers1) != length(markers2))|(length(markers1) != 3)|(length(markers2) != 3)){
	  stop("Both arguments have to of length 3.")
	}

	# Basisvektoren markers1 (Kreuz 2&3 bezogen auf Kreuz 1)
	b1.markers1 <- c( markers1@x[2] - markers1@x[1], 
				     markers1@y[2] - markers1@y[1])
	b2.markers1 <- c( markers1@x[3] - markers1@x[1], 
				     markers1@y[3] - markers1@y[1])
	
	# Basisvektoren markers2 (Kreuz 2&3 bezogen auf Kreuz 1)
	b1.markers2 <- c( markers2@x[2] - markers2@x[1], 
				     markers2@y[2] - markers2@y[1])
	b2.markers2 <- c( markers2@x[3] - markers2@x[1], 
				     markers2@y[3] - markers2@y[1])
	
	return( t(solve(a = t(matrix(c(b1.markers2, b2.markers2), ncol = 2)), 
				    b = t(matrix(c(b1.markers1, b2.markers1), ncol = 2)))))
}


