create.mask <- function(img, type, ...){
  if(class(img) != "FNTDimage"){
    stop("img has to be of class FNTDimage")
  }

  if(type == "tracks"){
    
	cur.call   <- as.list(sys.call())
	args.given <- names(cur.call)

	if( !("radius"%in%args.given) |
	    !("critical.distance"%in%args.given)){
	  stop("Please provide \'radius\' and \'critical.distance\' as function arguments.")
	}

	radius             <- eval(cur.call$radius)
    critical.distance  <- eval(cur.call$critical.distance)
	return(create.mask.tracks(img               = img, 
	                          radius            = radius, 
							  critical.distance = critical.distance))
  }

    if(type == "cores"){
    
	cur.call   <- as.list(sys.call())
	args.given <- names(cur.call)

	if( !("radius"%in%args.given) |
	    !("critical.distance"%in%args.given)){
	  stop("Please provide \'radius\' and \'critical.distance\' as function arguments.")
	}

	radius             <- eval(cur.call$radius)
    critical.distance  <- eval(cur.call$critical.distance)
	return(create.mask.cores( img               = img, 
	                          radius            = radius, 
							  critical.distance = critical.distance))
  }
  
  if(type == "crop"){
    
	cur.call   <- as.list(sys.call())
	args.given <- names(cur.call)

	if( !("x.min"%in%args.given) |
	    !("x.max"%in%args.given) |
	    !("y.min"%in%args.given) |
	    !("y.max"%in%args.given)){
	  stop("Please provide \'x.min\', \'x.max\', \'y.min\', and \'y.max\' as function arguments.")
	}

	x.min              <- eval(cur.call$x.min)
	x.max              <- eval(cur.call$x.max)
	y.min              <- eval(cur.call$y.min)
	y.max              <- eval(cur.call$y.max)
	return(create.mask.crop(img               = img, 
	                        x.min             = x.min,
							x.max             = x.max,
							y.min             = y.min,
							y.max             = y.max))
  }

  if(type == "intensity"){
    
	cur.call   <- as.list(sys.call())
	args.given <- names(cur.call)

	if( !("intensity.min"%in%args.given) |
	    !("intensity.max"%in%args.given)){
	  stop("Please provide \'intensity.min\', \'intensity.max\' as function arguments.")
	}

	intensity.min              <- eval(cur.call$intensity.min)
	intensity.max              <- eval(cur.call$intensity.max)

	if("relative"%in%args.given){
	  relative                    <- eval(cur.call$relative)
	}else{
	  relative                    <- TRUE
	}
	
	if("use.mask"%in%args.given){
	  use.mask                    <- eval(cur.call$use.mask)
	}else{
	  use.mask                    <- FALSE
	}
	
	return(create.mask.intensity(img               = img, 
								 intensity.min     = intensity.min,
							     intensity.max     = intensity.max,
								 relative          = relative,
								 use.mask          = use.mask))
  }

  stop("Unknown mask type.")
}