create.mask.intensity <- function(img, intensity.min, intensity.max, use.mask, relative){
  if(class(img) != "FNTDimage"){
    stop("img has to be of class FNTDimage");
  }
   
  mask <- rep(0, length(img))
  
  jj   <- img@mask@mask > 0
  if(sum(jj) == 0 | use.mask == FALSE){
    jj <- rep(TRUE, length(img))
  }
  
  if(relative){
     max.value <- max(img@data[,4])
     min.value <- min(img@data[,4])
     ii   <- ((img@data[jj,4] - min.value)/(max.value - min.value) >= intensity.min ) &
            ((img@data[jj,4] - min.value)/(max.value - min.value) < intensity.max )
  }else{
    ii   <- (img@data[jj,4] >= intensity.min ) &
            (img@data[jj,4] < intensity.max )
  }
  
  mask[jj][ii] <- rep(1, sum(ii))
  
  return(new("FNTDmask", mask = mask))
}
