create.mask.tracks <- function(img, radius, critical.distance){# = NULL){
  if(class(img) != "FNTDimage"){
    stop("img has to be of class FNTDimage");
  }
 
  n.pos <- length(img@tracks)
  if(n.pos == 0){
    stop("No track positions given.")
  }
  
  # Exclude tracks below critical distance
  dist  <- numeric(length(img@tracks))
  below <- logical(length(img@tracks))

  for( i in 1:length(img@tracks)){
    # i <- 1
    if(below[i] == FALSE){
        for(j in 1:length(img@tracks)){
        dist[j] <- (img@tracks@x[i] - img@tracks@x[j])^2 + (img@tracks@y[i] - img@tracks@y[j])^2
        }
  
        # tracks that are closer than the critical distance,
		# INCLUDING the track itself (distance == 0)
		ii          <- sqrt(dist) <= critical.distance
		# Flag all that are close, including the track itself, ...
		below[ii]   <- TRUE
		# ... but if only one close track is found, than it is of course always the track itself 
		# and has to be unflagged again
        if(sum(ii) == 1){
		  below[i]                               <- FALSE
		}
    }
  }

    img@tracks  <- new("FNTDtracks",
                   track.no = img@tracks@track.no[!below],
                   x        = img@tracks@x[!below],
                   y        = img@tracks@y[!below])
  
    return(new("FNTDmask", mask = .C( "create_mask_tracks",
             radius            = as.double(radius),
			 n.data            = as.integer(length(img)), 
             x                 = as.double(img@data[,1]),
			 y                 = as.double(img@data[,2]),
			 value             = as.double(img@data[,4]),
			 n_pos             = as.integer(length(img@tracks)),
			 x0                = as.double(img@tracks@x),
			 y0                = as.double(img@tracks@y),
			 track_no          = as.integer(img@tracks@track.no),
			 mask              = as.integer(numeric(length(img))),
			 PACKAGE           = "FNTD")$mask))
}
