crop.tracks <- function(tracks, x.min, y.min, x.max, y.max, invert = FALSE){
	if(class(tracks) != "FNTDtracks"){
	  stop("Argument \" tracks \" has to be of class \"FNTDtracks\".")
	}

	ii <- (tracks@x >= x.min) &
          (tracks@x <=  x.max) &
          (tracks@y >= y.min) &
          (tracks@y <=  y.max)

	if(invert){
		ii <- !ii
	}
		
	return( new ( "FNTDtracks",
	              track.no = 1:sum(ii),
				  x        = tracks@x[ii],
				  y        = tracks@y[ii]))
}
