find.tracks <- function(img, radius = NULL, cutoff = NULL, percentile = NULL){

	ParticleTracker <- .jnew("fntd/particle/FNTD_ParticleDetector")
	
	if((!is.null(radius))&(!is.null(cutoff))&(!is.null(percentile))){   # if all parameters given start silent mode
		positions <- .jcall( ParticleTracker, "[[F", "getParticlePositionsSilent", 
							 as.double(img@data[,4]),
							 as.integer(img@sizeX) , 
							 as.integer(img@sizeY), 
							 as.integer(radius), 
							 as.double(cutoff), 
							 as.double(percentile)   )
	}else{                                                            # if not, open window for interactive use
		positions <- .jcall( ParticleTracker, "[[F", "getParticlePositions",
							 as.double(img@data[,4]), 
							 as.integer(img@sizeX) , 
							 as.integer(img@sizeY) )
	}
	
	# Convert java-Object into a matrix and return
	posmatrix=sapply(positions, .jevalArray)
	# Add image offset (which is not accounted for by Particle Tracker routine, zero-based)
	x.offset <- min(img@data[,1])
	y.offset <- min(img@data[,2])
	return(new("FNTDtracks", track.no = 1:nrow(posmatrix), x = posmatrix[,1]-0.5+x.offset, y = posmatrix[,2]-0.5+y.offset))

} 