get.gauss.fits <- function(img){
	if(class(img)!="FNTDimage"){
		stop("img has to be of class \"FNTDimage\".")
	}

    if((length(img@mask) == 0)|(length(img@tracks)==0)){
		stop("img has to have an appropriate mask and track information.")
    }

    df.results <- data.frame( track.no = img@tracks@track.no,
                              A        = rep(0, length(img@tracks)),
                              sigma    = rep(0, length(img@tracks)),
                              B        = rep(0, length(img@tracks)))
    for(track.no in img@tracks@track.no){
	  # track.no <- 2
	  x <- img@data[img@mask@mask == track.no,1]
	  y <- img@data[img@mask@mask == track.no,2]
	  value <- img@data[img@mask@mask == track.no,4]
	  df <- data.frame( x = x, y = y, value = value)
	  x0 <- img@tracks@x[track.no]
	  y0 <- img@tracks@y[track.no]
	  res <- try(fitto <- nls(value ~ A/(2*pi*sigma^2)*exp(-0.5*((x-x0)^2+(y-y0)^2)/sigma^2) + B,
				   df,
				   start = list(A = sum(df$value), sigma = 1, B = 200)))
	  if(class(res) != "try-error"){
		df.results[track.no,-1] <- coefficients(fitto)}
	  cat("Done Gaussian fit to track no", track.no, "\n")
	}			  
	
	return(df.results)

}