get.background <- function(img, length.parameter = 50) {
  
  if(class(img) != "FNTDimage") {
	 stop("Object img has to be of class \"FNTDimage\".")
   }
  
    Background        <- .jnew("fntd/background/FNTD_Background")  

    # Return background as FNTDimage
   	return( new( "FNTDimage",
			data = matrix( data = c( img@data[,1],
								img@data[,2],
								img@data[,3],
			         .jcall(Background, "[F", "getBackgroundPixel", as.double(img@data[,4]), as.integer(img@sizeX) , as.integer(img@sizeY), as.integer(length.parameter) )),
						   ncol = 4, 
						   nrow = length(img),
						   dimnames = list( NULL,
											c("x", "y", "z", "value"))),
							sizeX = img@sizeY,
							sizeY = img@sizeX,
							sizeZ = img@sizeZ,
							rescans = img@rescans,
							dwell.time.us = img@dwell.time.us,
							laser.power.percent = img@laser.power.percent,
							pinhole.diameter.um = img@pinhole.diameter.um,
							lens.type = img@lens.type,
							tracks   = img@tracks,
							mask     = img@mask  ) )
}