overlay.plot <- function(img1, img2, alpha, logarithmic = FALSE){
	# Create colormap for overlay plot
	ramp.up   <- sprintf("%02X", seq(0,255,length.out = 25))
	ramp.down <- sprintf("%02X", seq(255,0,length.out = 25))
	alpha.hex <- sprintf("%02X", as.integer(alpha * 255))
	dose.color.key <- c( paste("#0000", ramp.up, alpha.hex, sep = ""),
						 paste("#00", ramp.up, "FF", alpha.hex, sep = ""),
						 paste("#", ramp.up, ramp.down, "FF", alpha.hex, sep = ""),
						 paste("#FF", ramp.down, "00", alpha.hex, sep = ""))

	lower.plot <- plot(img1)
	if(logarithmic == FALSE){
		plot(lower.plot + layer(panel.levelplot( x = img2@data[,1],
												 y = img2@data[,2],
												 z = img2@data[,4],
								subscripts    = TRUE,
								cuts          = 100,
								col.regions   = dose.color.key,
								alpha.regions = TRUE)))
	}else{
		plot(lower.plot + layer(panel.levelplot( x = img2@data[,1],
												 y = img2@data[,2],
												 z = log10(img2@data[,4]),
								subscripts    = TRUE,
								cuts          = 100,
								col.regions   = dose.color.key,
								alpha.regions = TRUE)))
	}
}
