read.tif.image <- function(filename, first.frame = NULL, last.frame = NULL){

  if(!file.exists(filename)){
	  stop("File not found.")
	}
	
  imp 	 		<- J("fntd/OpenImage")$openTIFFImage(filename)
	sizes	 		<- J("fntd/AccessImage")$getSizes(imp)
		
  if(is.null(first.frame)){
    first.frame = 1
  }
  if(is.null(last.frame)){
    last.frame = sizes[3]
  }

  coords        	<- generate.coordinates( x.size = sizes[1], 
                                           y.size = sizes[2], 
                                           z.size = last.frame - first.frame + 1)
	
    
  metadata <- c(0, 0, 0, 0, "")
	
	# return rotated image to compensate lsm.reader error
	return( rotate.image( new( "FNTDimage",
								 data = matrix( data = c( coords$x,
														 coords$y,
														 coords$z,
								             J("fntd/AccessImage")$getPixels(imp, as.integer(first.frame), as.integer(last.frame))),
												ncol = 4, 
												nrow = sizes[1] * sizes[2] * (last.frame - first.frame + 1),
												dimnames = list( NULL,
															 c("x", "y", "z", "value"))),
								 sizeX = sizes[1],
								 sizeY = sizes[2],
								 sizeZ = last.frame - first.frame + 1,
								 rescans = as.numeric(metadata[3]),
								 dwell.time.us = as.numeric(metadata[1]),
								 laser.power.percent = as.numeric(metadata[2]),
								 pinhole.diameter.um = as.numeric(metadata[4]),
								 lens.type = metadata[5],
								 tracks   = new("FNTDtracks"),
								 mask     = new("FNTDmask", mask = rep(1, sizes[1] * sizes[2] * (last.frame - first.frame + 1)))), 
							degrees = 90) )
}


