# by: Steffen Greilich
# date: 03.02.2012

search.matches <- function(set1, set2, matched.to, critical.distance){
  
  if((class(set1) != "FNTDtracks")|(class(set2) != "FNTDtracks")|(class(matched.to) != "FNTDtracks")){
	  stop("Argument \" trackPositions \" has to be of class \"FNTDtracks\".")
  }

  res <- .C( "search_matches",
      n_set1        = as.integer(length(set1)),
	  set1_no       = as.integer(set1@track.no),
	  set1_x        = as.double(set1@x),
	  set1_y        = as.double(set1@y),
	  matched.to_no = as.integer(matched.to@track.no),
	  matched.to_x  = as.double(matched.to@x),
	  matched.to_y  = as.double(matched.to@y),
	  n_set2        = as.integer(length(set2)),
	  set2_no       = as.integer(set2@track.no),
	  set2_x        = as.double(set2@x),
	  set2_y        = as.double(set2@y),
	  n_changed     = integer(1),
	  critical_dist = as.double(critical.distance),
	  PACKAGE       = "FNTD")

  return(list(n.changed  = res$n_changed,
              matched.to = new( "FNTDtracks",
			                     track.no = res$matched.to_no,
								 x        = res$matched.to_x,
								 y        = res$matched.to_y)))
}

