transformImage <- function(img, markers1, markers2, crop = FALSE, fast = FALSE){
  if(class(img) != "FNTDimage"){
	 stop("Object img has to be of class \"FNTDimage\".")
   }
 	m.trans   				<- findTransformation(markers1, markers2)

	A <- c(min(img@data[,1]), min(img@data[,2]))
	B <- c(max(img@data[,1]), min(img@data[,2]))
    C <- c(min(img@data[,1]), max(img@data[,2]))
    D <- c(max(img@data[,1]), max(img@data[,2]))

	corners <- matrix(c(A,B,C,D), ncol = 2)
	
	rot.img          <- img
    mm               <- matrix(ncol = length(img), nrow = 2)
    mm[1,]           <- img@data[,1]
    mm[2,]           <- img@data[,2]
    rot.mm           <- m.trans %*% (mm - c(markers2@x[1], markers2@y[1])) + c(markers1@x[1],markers1@y[1])
    rot.img@data[,1] <- rot.mm[1,]
    rot.img@data[,2] <- rot.mm[2,]

	
	
#	rot.img@data[,1:2]     <- t(m.trans%*%(t(img@data[,1:2]-c(markers2@x[1], markers2@y[1]))))+c(markers1@x[1], markers1@y[1])
#	rot.img@data[,1:2]     <- t(m.trans%*%(t(img@data[,1:2])))
#    rot.corners            <- t(m.trans%*%(t(corners)))
	
	new.min.x <- min(rot.img@data[,1])
	new.max.x <- max(rot.img@data[,1])
	new.min.y <- min(rot.img@data[,2])
	new.max.y <- max(rot.img@data[,2])

	x.size <- floor(new.max.x) - floor(new.min.x) + 2
	y.size <- floor(new.max.y) - floor(new.min.y) + 2
	coords <- generate.coordinates( x.size = x.size,
									y.size = y.size,
	                z.size = 1,
                  x.min  = floor(new.min.x)-1,
									y.min  = floor(new.min.y)-1,
                  z.min  = 1)

	if(fast){
		newvalue <- .Call("nearest_neighbor_fast",
							  x       = rot.img@data[,1],
							  y       = rot.img@data[,2],
							  values  = rot.img@data[,4],
							  xsize   = x.size,
							  newx    = coords$x,
							  newy    = coords$y,
							  PACKAGE = "FNTD")
	}else{
		newvalue <- .Call("nearest_neighbor_slow",
						  x       = rot.img@data[,1],
						  y       = rot.img@data[,2],
						  values  = rot.img@data[,4],
						  newx    = coords$x,
						  newy    = coords$y,
						  PACKAGE = "FNTD")
	}
	
	rot.img@data     <- matrix( data = c(coords$x, coords$y, rep(1, x.size * y.size), newvalue),
								ncol = 4,
								dimnames = list( NULL, 
												 c("x", "y", "z", "value")))
	rot.img@sizeX    <- x.size
	rot.img@sizeY    <- y.size
  rot.img@sizeZ    <- 1
  
  # TODO copy all meta data
  
#	if(crop){
#	  # find center of new image
#		center <- get.intersect.point( A = rot.corners[1,],
#									   B = rot.corners[2,],
#									   C = rot.corners[3,],
#									   D = rot.corners[4,])
#	                                 
#	}
	
	return(rot.img)
}