\name{FNTDbigImage-class}
\docType{class}
\alias{FNTDbigImage-class}
\alias{[,FNTDbigImage-method}

\title{Class \code{"FNTDbigImage"}}

\description{This class is intended to hold image to big for FNTDimage in a memory efficient way. This applies for example to detector overview images that will not be plotted entired but parts of it only. Data are stored as 16-bit integer in a external C data structure and selected parts of the image can be retrieved as FNTDimage by \code{get.FNTD.image}.}

\section{Structure of the class}{
FNTD images contain:
\tabular{rcl}{
dataptr \tab Pointer to structre that holds data \cr
sizeX   \tab Image size in x (pixel) \cr
sizeY   \tab Image size in y (pixel) }}


\section{Methods}{
  \itemize{
    \item{[]}{\code{bimg[idx]}: Returns values for indices idx.}
	}
}

\author{
Steffen Greilich
}

\examples{
# Read 16bit raw, e.g. exported from ImageJ
bimg      <- read.raw.image(filename = system.file( 'extdata', 
                                                    'sg35041_s03.raw', 
													package = 'FNTD' ), 
							x.size = 512, 
							y.size = 512)

# Retrieve FNTDimage of size 200x100 and plot
img       <- get.FNTD.image( bimg  = bimg, 
                             x.min = 10, 
							 y.min = 110, 
							 x.max = 309, 
							 y.max = 209)

plot( img, 
      tracks = FALSE, 
	  mask = FALSE)

# Check some values
bimg[c(1:100, 2000:2100)]
}

\keyword{classes}
