\name{crop}
\alias{crop.tracks}
\alias{crop.image}

\title{Cropping}

\description{Crops an FNTDimage or FNTDtracks object.}

\usage{ 
crop.tracks( tracks, x.min, y.min, x.max, y.max, invert=FALSE)
crop.image( img, x.min, y.min, x.max, y.max, invert=FALSE)
}

\arguments{
  \item{img}{ An object of class \code{FNTDimage}}
  \item{tracks}{ An object of class \code{FNTDtracks}}
  \item{x.min}{ minimum value for x (included, 'left sided binning')}
  \item{y.min}{ minimum value for y (included, 'left sided binning')}
  \item{x.max}{ maximum value for x (not included)}
  \item{y.max}{ maximum value for y (not included)}
  \item{invert}{ if TRUE, the outer instead of the inner area will be selected}
}

\details{crop.image will use crop.tracks to apply cropping to the tracks of the image (if given). TODO: do for mask also.}

\value{
An object of class \code{FNTDimage} or \code{FNTDtracks}, resp.
}

\author{
Steffen Greilich
}

\examples{
## Spaeter
}
