\name{find.tracks}
\alias{find.tracks}
\title{find.tracks}

\description{
Locates track positions on an FNTD image using the ETH Mosaic 2D/3D particle tracker.
}

\usage{find.tracks(img, radius = NULL, cutoff = NULL, percentile = NULL)}

\arguments{
  \item{img}{ object of class \code{FNTDimage}}
  \item{radius}{ radius of particle tracks (in pixel)}
  \item{cutoff}{ SPECIFITY ???}
  \item{percentile}{ SENSITIVITY???}
}

\value{An object of class FNTDtracks.}

\details{If all parameters are given, function will execute silently. Otherwise, a window will open to check results of the routine interactively. PLEASE NOTE: the window might pop up BEHIND your R console window, you may have to look for it...}

\author{Roman Martel: Java wrapper; ImageJ plugin by Mosaic Group, ETH Zurich; Steffen Greilich R wrapper.}

\references{ETH}

\examples{
\dontrun{
filename      <- system.file("extdata", "sg35041_s03.lsm", package = "FNTD")
img           <- read.lsm.image(filename = filename)

# Run tracker (these are in general reasonable values to start with
img@tracks    <- find.tracks(img, radius = 3, cutoff = 3.0, percentile = 0.6)

plot(img, tracks = TRUE)
}
}