\name{get.background}
\alias{get.background}
\title{get.background}

\description{
Returns the background of an FNTD image using the ETH Mosaic background subtractor with local histogramming.
}

\usage{get.background(img, length.parameter = 50)}

\arguments{
  \item{img}{ object of class \code{FNTDimage}}
  \item{length.parameter}{ size length of sliding window for histogram}
}

\value{An object of class FNTDimage.}

\author{Steffen Greilich, background subtractor ImageJ plugin by XX Cardinale, Mosaic Group, ETH Zurich.}

\references{Masterarbeit ETH}

\examples{
\dontrun{
filename      <- system.file("extdata", "sg35041_s03.lsm", package = "FNTD")
img           <- read.lsm.image(filename = filename)
plot(img, tracks = FALSE, mask = FALSE)
plot(get.background(img, length.parameter = 50), tracks = FALSE, mask = FALSE)
plot(get.background(img, length.parameter = 5), tracks = FALSE, mask = FALSE)
}
}