\name{overlay.plot}
\alias{overlay.plot}
\title{overlay.plot}

\description{
Plots an overlay of two FNTD images using alpha blending 
}

\usage{overlay.plot(img1, img2, alpha, logarithmic = FALSE)}

\arguments{
  \item{img1}{ background image, object of type \code{"FNTDimage"}}
  \item{img2}{ overlay image, object of type \code{"FNTDimage"}}
  \item{alpha}{ degree of blending (from 0 to 1, 0 meaning complete transparency)}
  \item{logarithmic}{ plots logarithmic values for overlay image)}
}

\author{Steffen Greilich}

\value{An object of type \code{plot}}

\examples{
data(FNTD.image)
data(CR39.image)
overlay.plot(img1 = CR39.image, img2 = FNTD.image, alpha = 0.3)
overlay.plot(img1 = CR39.image, img2 = FNTD.image, alpha = 0.3, logarithmic = TRUE)
}
