\name{rotate.image}
\alias{rotate.image}
\title{rotate.image}

\description{
Rotates an FNTD image by 90, 180, or 270 degress clockwise (only 90 at the moment!).
}

\usage{
rotate.image(img, orientation = 90)
}

\arguments{
  \item{img}{ FNTDimage}
  \item{degrees}{ rotation angle in degree}
}

\details{
Used to correct orientation during read in of lsm images.}

\author{
Steffen Greilich
}
\examples{
\dontrun{
filename <- system.file("extdata", "sg35041_s03.lsm", package = "FNTD")
img      <- read.lsm.image(filename)                              # Read image 
plot(img)                                                         # Plot image 
rot.img  <- rotate.image(img)									  # Rotate image by 90 deg
plot(rot.img)													  # Plot resulting image
}
}
