\name{saturation.corrected.count.rate}
\alias{saturation.corrected.count.rate}
\title{saturation.corrected.count.rate}

\description{
Predicts the actual count rate from saturation affected measurements assuming simple exponential saturation.
}

\usage{saturation.corrected.count.rate(count.rate, saturation.count.rate)}

\arguments{
  \item{count.rate}{ measured count rate}
  \item{saturation.count.rate}{ radius of particle tracks (in pixel)}
}

\value{An object of class FNTDtracks.}

\details{Count rates have to be provided with same units, e.g. MHz, and so is the return value.}

\author{Steffen Greilich}

\references{Greilich et al., Quantitative read-out ..., equation 18}

\examples{
# Typical values for DKFZ LSM710 in MHz
saturation.corrected.count.rate( count.rate             = 8.0, 
                                 saturation.count.rate  = 16.2)
}